Next: Link Options, Previous: Preprocessor Options, Up: Invoking GCC [Contents][Index]

### 3.12 Passing Options to the Assembler

You can pass options to the assembler.

`-Wa,option`

  Pass option as an option to the assembler. If option contains commas, it is split into multiple options at the commas.

`-Xassembler option`

  Pass option as an option to the assembler. You can use this to supply system-specific assembler options that GCC does not recognize.

  If you want to pass an option that takes an argument, you must use `-Xassembler` twice, once for the option and once for the argument.